#!/bin/bash

# sqp_JogglerInstallers.sh v1.09 (20th June 2012) by Andy Davison
#  Executed by JogglerFeatures applet on sqpOS.

export PATH=$PATH:`dirname $0`
[ ! -e ~/.squeezeplay ] && mkdir ~/.squeezeplay

DEBUG=0

#### SSH

if [ "$1" = "ssh" ]; then

	if [ "$2" = "install" ]; then
		
		sudo dpkg -i /opt/squeezeplay/config/sqpos/packages/ssh/* &> ~/.squeezeplay/additional.log
		sleep 2
		[ $DEBUG -ne 1 ] && sudo reboot		
		exit 0
	
	fi

	if [ "$2" = "uninstall" ]; then
	
		sudo dpkg --purge ssh openssh-server &> ~/.squeezeplay/additional.log
		sleep 2
		[ $DEBUG -ne 1 ] && sudo reboot		
		exit 0
	
	fi

fi


#### Logitech Media Server

if [ "$1" = "lms" ]; then

	LMSSERVER="http://downloads.slimdevices.com"
	LMSVERSION="7.7.2"

	if [ "$2" == "help" ]; then
		IP=`sqp_JogglerNetwork.sh ip | awk -F\:\  '{print $2}'`
		echo -n "Logitech Media Server allows you to serve content from this device. After installation, visit http://$IP:9000 with your browser to configure the server software."
		exit 0
	fi

	if [ "$2" = "install" ]; then
		
		wget -P /tmp $LMSSERVER"/LogitechMediaServer_v"$LMSVERSION"/logitechmediaserver_"$LMSVERSION"_all.deb"
		sudo dpkg -i /tmp/logitechmediaserver_"$LMSVERSION"_all.deb &> ~/.squeezeplay/additional.log
		# Strip other architectures
		sleep 2
		find /usr/share/squeezeboxserver/CPAN/arch -maxdepth 2 ! -iname 'i386*' -and -iname '*linux*' -exec sudo rm -rf '{}' \;
		sleep 2
		rm /tmp/logitechmediaserver_"$LMSVERSION"_all.deb
		[ $DEBUG -ne 1 ] && sudo reboot		
		exit 0
	
	fi

	if [ "$2" = "uninstall" ]; then
	
		sudo dpkg --purge logitechmediaserver &> ~/.squeezeplay/additional.log
		sudo rm -rf /var/lib/squeezeboxserver
		sleep 2
		[ $DEBUG -ne 1 ] && sudo reboot		
		exit 0
	
	fi

fi